## org.eclipse.jetty.start
Class Classpath

    java.lang.Object
      org.eclipse.jetty.start.Classpath

    public class Classpath

extends Object

Class to handle CLASSPATH construction

Constructor Summary
`Classpath()`
`Classpath(String initial)`

Method Summary
`boolean` `addClasspath(String s)`
`boolean` `addComponent(File component)`
`boolean` `addComponent(String component)`
`int` `count()`
`void` `dump(PrintStream out)`
`static String` `encodeFileURL(String path)`
`ClassLoader` `getClassLoader()`
`File[]` `getElements()`
`boolean` `isEmpty()`
`void` `overlay(Classpath cpOther)` Overlay another classpath, copying its elements into place on this Classpath, while eliminating duplicate entries on the classpath.
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Classpath

    public Classpath()

### Classpath

    public Classpath(String initial)

Method Detail

### getElements

    public File[] getElements()

### count

    public int count()

### addComponent

    public boolean addComponent(String component)

### addComponent

    public boolean addComponent(File component)

### addClasspath

    public boolean addClasspath(String s)

### dump

    public void dump(PrintStream out)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getClassLoader

    public ClassLoader getClassLoader()

### encodeFileURL

    public static String encodeFileURL(String path)

### overlay

    public void overlay(Classpath cpOther)

  Overlay another classpath, copying its elements into place on this Classpath, while eliminating duplicate entries on the classpath.

  Parameters:
    `cpOther` - the other classpath to overlay

### isEmpty

    public boolean isEmpty()

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.